Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/test_quantity.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/test_quantity.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/test_quantity.py	(revision 5892)
@@ -1304,43 +1304,43 @@
         # Negation
         Q = -quantity1
-        assert allclose(Q.vertex_values, -quantity1.vertex_values)
-        assert allclose(Q.centroid_values, -quantity1.centroid_values)
-        assert allclose(Q.edge_values, -quantity1.edge_values)
+        assert numpy.allclose(Q.vertex_values, -quantity1.vertex_values)
+        assert numpy.allclose(Q.centroid_values, -quantity1.centroid_values)
+        assert numpy.allclose(Q.edge_values, -quantity1.edge_values)
 
         # Addition
         Q = quantity1 + 7
-        assert allclose(Q.vertex_values, quantity1.vertex_values + 7)
-        assert allclose(Q.centroid_values, quantity1.centroid_values + 7)
-        assert allclose(Q.edge_values, quantity1.edge_values + 7)
+        assert numpy.allclose(Q.vertex_values, quantity1.vertex_values + 7)
+        assert numpy.allclose(Q.centroid_values, quantity1.centroid_values + 7)
+        assert numpy.allclose(Q.edge_values, quantity1.edge_values + 7)
 
         Q = 7 + quantity1
-        assert allclose(Q.vertex_values, quantity1.vertex_values + 7)
-        assert allclose(Q.centroid_values, quantity1.centroid_values + 7)
-        assert allclose(Q.edge_values, quantity1.edge_values + 7)
+        assert numpy.allclose(Q.vertex_values, quantity1.vertex_values + 7)
+        assert numpy.allclose(Q.centroid_values, quantity1.centroid_values + 7)
+        assert numpy.allclose(Q.edge_values, quantity1.edge_values + 7)
 
         Q = quantity1 + quantity2
-        assert allclose(Q.vertex_values,
-                        quantity1.vertex_values + quantity2.vertex_values)
-        assert allclose(Q.centroid_values,
-                        quantity1.centroid_values + quantity2.centroid_values)
-        assert allclose(Q.edge_values,
-                        quantity1.edge_values + quantity2.edge_values)
+        assert numpy.allclose(Q.vertex_values,
+                              quantity1.vertex_values + quantity2.vertex_values)
+        assert numpy.allclose(Q.centroid_values,
+                              quantity1.centroid_values + quantity2.centroid_values)
+        assert numpy.allclose(Q.edge_values,
+                              quantity1.edge_values + quantity2.edge_values)
 
 
         Q = quantity1 + quantity2 - 3
-        assert allclose(Q.vertex_values,
-                        quantity1.vertex_values + quantity2.vertex_values - 3)
+        assert numpy.allclose(Q.vertex_values,
+                              quantity1.vertex_values + quantity2.vertex_values - 3)
 
         Q = quantity1 - quantity2
-        assert allclose(Q.vertex_values,
-                        quantity1.vertex_values - quantity2.vertex_values)
+        assert numpy.allclose(Q.vertex_values,
+                              quantity1.vertex_values - quantity2.vertex_values)
 
         #Scaling
         Q = quantity1*3
-        assert allclose(Q.vertex_values, quantity1.vertex_values*3)
-        assert allclose(Q.centroid_values, quantity1.centroid_values*3)
-        assert allclose(Q.edge_values, quantity1.edge_values*3)
+        assert numpy.allclose(Q.vertex_values, quantity1.vertex_values*3)
+        assert numpy.allclose(Q.centroid_values, quantity1.centroid_values*3)
+        assert numpy.allclose(Q.edge_values, quantity1.edge_values*3)
         Q = 3*quantity1
-        assert allclose(Q.vertex_values, quantity1.vertex_values*3)
+        assert numpy.allclose(Q.vertex_values, quantity1.vertex_values*3)
 
         #Multiplication
@@ -1351,59 +1351,59 @@
         #print quantity2.centroid_values
 
-        assert allclose(Q.vertex_values,
-                        quantity1.vertex_values * quantity2.vertex_values)
+        assert numpy.allclose(Q.vertex_values,
+                              quantity1.vertex_values * quantity2.vertex_values)
 
         #Linear combinations
         Q = 4*quantity1 + 2
-        assert allclose(Q.vertex_values,
-                        4*quantity1.vertex_values + 2)
+        assert numpy.allclose(Q.vertex_values,
+                              4*quantity1.vertex_values + 2)
 
         Q = quantity1*quantity2 + 2
-        assert allclose(Q.vertex_values,
-                        quantity1.vertex_values * quantity2.vertex_values + 2)
+        assert numpy.allclose(Q.vertex_values,
+                              quantity1.vertex_values * quantity2.vertex_values + 2)
 
         Q = quantity1*quantity2 + quantity3
-        assert allclose(Q.vertex_values,
-                        quantity1.vertex_values * quantity2.vertex_values +
-                        quantity3.vertex_values)
+        assert numpy.allclose(Q.vertex_values,
+                              quantity1.vertex_values * quantity2.vertex_values +
+                              quantity3.vertex_values)
         Q = quantity1*quantity2 + 3*quantity3
-        assert allclose(Q.vertex_values,
-                        quantity1.vertex_values * quantity2.vertex_values +
-                        3*quantity3.vertex_values)
+        assert numpy.allclose(Q.vertex_values,
+                              quantity1.vertex_values * quantity2.vertex_values +
+                             3*quantity3.vertex_values)
         Q = quantity1*quantity2 + 3*quantity3 + 5.0
-        assert allclose(Q.vertex_values,
-                        quantity1.vertex_values * quantity2.vertex_values +
-                        3*quantity3.vertex_values + 5)
+        assert numpy.allclose(Q.vertex_values,
+                              quantity1.vertex_values * quantity2.vertex_values +
+                              3*quantity3.vertex_values + 5)
 
         Q = quantity1*quantity2 - quantity3
-        assert allclose(Q.vertex_values,
-                        quantity1.vertex_values * quantity2.vertex_values -
-                        quantity3.vertex_values)
+        assert numpy.allclose(Q.vertex_values,
+                              quantity1.vertex_values * quantity2.vertex_values -
+                              quantity3.vertex_values)
         Q = 1.5*quantity1*quantity2 - 3*quantity3 + 5.0
-        assert allclose(Q.vertex_values,
-                        1.5*quantity1.vertex_values * quantity2.vertex_values -
-                        3*quantity3.vertex_values + 5)
+        assert numpy.allclose(Q.vertex_values,
+                              1.5*quantity1.vertex_values * quantity2.vertex_values -
+                              3*quantity3.vertex_values + 5)
 
         #Try combining quantities and arrays and scalars
-        Q = 1.5*quantity1*quantity2.vertex_values -\
+        Q = 1.5*quantity1*quantity2.vertex_values - \
             3*quantity3.vertex_values + 5.0
-        assert allclose(Q.vertex_values,
-                        1.5*quantity1.vertex_values * quantity2.vertex_values -
-                        3*quantity3.vertex_values + 5)
+        assert numpy.allclose(Q.vertex_values,
+                              1.5*quantity1.vertex_values * quantity2.vertex_values -
+                              3*quantity3.vertex_values + 5)
 
 
         #Powers
         Q = quantity1**2
-        assert allclose(Q.vertex_values, quantity1.vertex_values**2)
+        assert numpy.allclose(Q.vertex_values, quantity1.vertex_values**2)
 
         Q = quantity1**2 +quantity2**2
-        assert allclose(Q.vertex_values,
-                        quantity1.vertex_values**2 + \
-                        quantity2.vertex_values**2)
+        assert numpy.allclose(Q.vertex_values,
+                              quantity1.vertex_values**2 +
+                              quantity2.vertex_values**2)
 
         Q = (quantity1**2 +quantity2**2)**0.5
-        assert allclose(Q.vertex_values,
-                        (quantity1.vertex_values**2 + \
-                        quantity2.vertex_values**2)**0.5)
+        assert numpy.allclose(Q.vertex_values,
+                              (quantity1.vertex_values**2 + 
+                               quantity2.vertex_values**2)**0.5)
 
 
@@ -1431,6 +1431,6 @@
         #The central triangle (1)
         #(using standard gradient based on neigbours controid values)
-        assert allclose(a[1], 2.0)
-        assert allclose(b[1], 0.0)
+        assert numpy.allclose(a[1], 2.0)
+        assert numpy.allclose(b[1], 0.0)
 
 
@@ -1438,7 +1438,7 @@
         #q0 = q1 + a*(x0-x1) + b*(y0-y1)  <=>
         #2  = 4  + a*(-2/3)  + b*(-2/3)
-        assert allclose(a[0] + b[0], 3)
+        assert numpy.allclose(a[0] + b[0], 3)
         #From orthogonality (a*(y0-y1) + b*(x0-x1) == 0)
-        assert allclose(a[0] - b[0], 0)
+        assert numpy.allclose(a[0] - b[0], 0)
 
 
@@ -1446,7 +1446,7 @@
         #q2 = q1 + a*(x2-x1) + b*(y2-y1)  <=>
         #6  = 4  + a*(4/3)  + b*(-2/3)
-        assert allclose(2*a[2] - b[2], 3)
+        assert numpy.allclose(2*a[2] - b[2], 3)
         #From orthogonality (a*(y1-y2) + b*(x2-x1) == 0)
-        assert allclose(a[2] + 2*b[2], 0)
+        assert numpy.allclose(a[2] + 2*b[2], 0)
 
 
@@ -1454,7 +1454,7 @@
         #q3 = q1 + a*(x3-x1) + b*(y3-y1)  <=>
         #2  = 4  + a*(-2/3)  + b*(4/3)
-        assert allclose(a[3] - 2*b[3], 3)
+        assert numpy.allclose(a[3] - 2*b[3], 3)
         #From orthogonality (a*(y1-y3) + b*(x3-x1) == 0)
-        assert allclose(2*a[3] + b[3], 0)
+        assert numpy.allclose(2*a[3] + b[3], 0)
 
 
@@ -1464,11 +1464,11 @@
 
         #Apply q(x,y) = qc + a*(x-xc) + b*(y-yc)
-        assert allclose(quantity.vertex_values[0,:], [3., 0.,  3.])
-        assert allclose(quantity.vertex_values[1,:], [4./3, 16./3,  16./3])
+        assert numpy.allclose(quantity.vertex_values[0,:], [3., 0.,  3.])
+        assert numpy.allclose(quantity.vertex_values[1,:], [4./3, 16./3,  16./3])
 
 
         #a = 1.2, b=-0.6
         #q(4,0) = 6 + a*(4 - 8/3) + b*(-2/3)
-        assert allclose(quantity.vertex_values[2,2], 8)
+        assert numpy.allclose(quantity.vertex_values[2,2], 8)
 
     def test_get_gradients(self):
@@ -1489,6 +1489,6 @@
         #The central triangle (1)
         #(using standard gradient based on neigbours controid values)
-        assert allclose(a[1], 2.0)
-        assert allclose(b[1], 0.0)
+        assert numpy.allclose(a[1], 2.0)
+        assert numpy.allclose(b[1], 0.0)
 
 
@@ -1496,7 +1496,7 @@
         #q0 = q1 + a*(x0-x1) + b*(y0-y1)  <=>
         #2  = 4  + a*(-2/3)  + b*(-2/3)
-        assert allclose(a[0] + b[0], 3)
+        assert numpy.allclose(a[0] + b[0], 3)
         #From orthogonality (a*(y0-y1) + b*(x0-x1) == 0)
-        assert allclose(a[0] - b[0], 0)
+        assert numpy.allclose(a[0] - b[0], 0)
 
 
@@ -1504,7 +1504,7 @@
         #q2 = q1 + a*(x2-x1) + b*(y2-y1)  <=>
         #6  = 4  + a*(4/3)  + b*(-2/3)
-        assert allclose(2*a[2] - b[2], 3)
+        assert numpy.allclose(2*a[2] - b[2], 3)
         #From orthogonality (a*(y1-y2) + b*(x2-x1) == 0)
-        assert allclose(a[2] + 2*b[2], 0)
+        assert numpy.allclose(a[2] + 2*b[2], 0)
 
 
@@ -1512,7 +1512,7 @@
         #q3 = q1 + a*(x3-x1) + b*(y3-y1)  <=>
         #2  = 4  + a*(-2/3)  + b*(4/3)
-        assert allclose(a[3] - 2*b[3], 3)
+        assert numpy.allclose(a[3] - 2*b[3], 3)
         #From orthogonality (a*(y1-y3) + b*(x3-x1) == 0)
-        assert allclose(2*a[3] + b[3], 0)
+        assert numpy.allclose(2*a[3] + b[3], 0)
 
 
@@ -1532,6 +1532,6 @@
         #print a, b
 
-        assert allclose(a[1], 3.0)
-        assert allclose(b[1], 1.0)
+        assert numpy.allclose(a[1], 3.0)
+        assert numpy.allclose(b[1], 1.0)
 
         #Work out the others
@@ -1540,7 +1540,7 @@
 
         #print quantity.vertex_values
-        assert allclose(quantity.vertex_values[1,0], 2.0)
-        assert allclose(quantity.vertex_values[1,1], 6.0)
-        assert allclose(quantity.vertex_values[1,2], 8.0)
+        assert numpy.allclose(quantity.vertex_values[1,0], 2.0)
+        assert numpy.allclose(quantity.vertex_values[1,1], 6.0)
+        assert numpy.allclose(quantity.vertex_values[1,2], 8.0)
 
 
@@ -1550,6 +1550,6 @@
 
         #Set up for a gradient of (3,1), f(x) = 3x+y
-        c_values = array([2.0+2.0/3, 4.0+4.0/3, 8.0+2.0/3, 2.0+8.0/3])
-        d_values = array([1.0, 2.0, 3.0, 4.0])
+        c_values = numpy.array([2.0+2.0/3, 4.0+4.0/3, 8.0+2.0/3, 2.0+8.0/3])
+        d_values = numpy.array([1.0, 2.0, 3.0, 4.0])
         quantity.set_values(c_values, location = 'centroids')
 
@@ -1558,5 +1558,5 @@
 
         #print quantity.vertex_values
-        assert allclose(quantity.centroid_values, quantity.centroid_backup_values)
+        assert numpy.allclose(quantity.centroid_values, quantity.centroid_backup_values)
 
 
@@ -1574,5 +1574,5 @@
         #Test centroids
         quantity.set_values([1.,2.,3.,4.], location = 'centroids')
-        assert allclose(quantity.centroid_values, [1, 2, 3, 4]) #Centroid
+        assert numpy.allclose(quantity.centroid_values, [1, 2, 3, 4]) #Centroid
 
         #Extrapolate
@@ -1581,10 +1581,10 @@
         #Check that gradient is zero
         a,b = quantity.get_gradients()
-        assert allclose(a, [0,0,0,0])
-        assert allclose(b, [0,0,0,0])
+        assert numpy.allclose(a, [0,0,0,0])
+        assert numpy.allclose(b, [0,0,0,0])
 
         #Check vertices but not edge values
-        assert allclose(quantity.vertex_values,
-                        [[1,1,1], [2,2,2], [3,3,3], [4, 4, 4]])
+        assert numpy.allclose(quantity.vertex_values,
+                              [[1,1,1], [2,2,2], [3,3,3], [4, 4, 4]])
 
 
@@ -1614,8 +1614,7 @@
 
         #Assert that quantities are conserved
-        from Numeric import sum
         for k in range(quantity.centroid_values.shape[0]):
-            assert allclose (quantity.centroid_values[k],
-                             sum(quantity.vertex_values[k,:])/3)
+            assert numpy.allclose (quantity.centroid_values[k],
+                                   numpy.sum(quantity.vertex_values[k,:])/3)
 
 
@@ -1646,8 +1645,7 @@
 
         #Assert that quantities are conserved
-        from Numeric import sum
         for k in range(quantity.centroid_values.shape[0]):
-            assert allclose (quantity.centroid_values[k],
-                             sum(quantity.vertex_values[k,:])/3)
+            assert numpy.allclose (quantity.centroid_values[k],
+                                   numpy.sum(quantity.vertex_values[k,:])/3)
 
 
@@ -1676,8 +1674,7 @@
 
         #Assert that quantities are conserved
-        from Numeric import sum
         for k in range(quantity.centroid_values.shape[0]):
-            assert allclose (quantity.centroid_values[k],
-                             sum(quantity.vertex_values[k,:])/3)
+            assert numpy.allclose (quantity.centroid_values[k],
+                                   numpy.sum(quantity.vertex_values[k,:])/3)
 
 
@@ -1705,8 +1702,7 @@
 
         #Assert that quantities are conserved
-        from Numeric import sum
         for k in range(quantity.centroid_values.shape[0]):
-            assert allclose (quantity.centroid_values[k],
-                             sum(quantity.vertex_values[k,:])/3)
+            assert numpy.allclose (quantity.centroid_values[k],
+                                   numpy.sum(quantity.vertex_values[k,:])/3)
 
     def test_limiter2(self):
@@ -1718,5 +1714,5 @@
         #Test centroids
         quantity.set_values([2.,4.,8.,2.], location = 'centroids')
-        assert allclose(quantity.centroid_values, [2, 4, 8, 2]) #Centroid
+        assert numpy.allclose(quantity.centroid_values, [2, 4, 8, 2]) #Centroid
 
 
@@ -1724,5 +1720,5 @@
         quantity.extrapolate_second_order()
 
-        assert allclose(quantity.vertex_values[1,:], [0.0, 6, 6])
+        assert numpy.allclose(quantity.vertex_values[1,:], [0.0, 6, 6])
 
         #Limit
@@ -1731,14 +1727,13 @@
         # limited value for beta_w = 0.9
         
-        assert allclose(quantity.vertex_values[1,:], [2.2, 4.9, 4.9])
+        assert numpy.allclose(quantity.vertex_values[1,:], [2.2, 4.9, 4.9])
         # limited values for beta_w = 0.5
-        #assert allclose(quantity.vertex_values[1,:], [3.0, 4.5, 4.5])
+        #assert numpy.allclose(quantity.vertex_values[1,:], [3.0, 4.5, 4.5])
 
 
         #Assert that quantities are conserved
-        from Numeric import sum
         for k in range(quantity.centroid_values.shape[0]):
-            assert allclose (quantity.centroid_values[k],
-                             sum(quantity.vertex_values[k,:])/3)
+            assert numpy.allclose (quantity.centroid_values[k],
+                                   numpy.sum(quantity.vertex_values[k,:])/3)
 
 
@@ -1751,5 +1746,5 @@
         #Test centroids
         quantity.set_values([1.,2.,3.,4.], location = 'centroids')
-        assert allclose(quantity.centroid_values, [1, 2, 3, 4]) #Centroid
+        assert numpy.allclose(quantity.centroid_values, [1, 2, 3, 4]) #Centroid
 
 
@@ -1760,8 +1755,8 @@
         #quantity.interpolate_from_vertices_to_edges()
 
-        assert allclose(quantity.vertex_values,
-                        [[1,1,1], [2,2,2], [3,3,3], [4, 4, 4]])
-        assert allclose(quantity.edge_values, [[1,1,1], [2,2,2],
-                                               [3,3,3], [4, 4, 4]])
+        assert numpy.allclose(quantity.vertex_values,
+                              [[1,1,1], [2,2,2], [3,3,3], [4, 4, 4]])
+        assert numpy.allclose(quantity.edge_values, [[1,1,1], [2,2,2],
+                                                     [3,3,3], [4, 4, 4]])
 
 
@@ -1769,12 +1764,12 @@
         quantity = Quantity(self.mesh4)
 
-        quantity.vertex_values = array([[1,0,2], [1,2,4], [4,2,5], [3,1,4]],Float)
+        quantity.vertex_values = numpy.array([[1,0,2], [1,2,4], [4,2,5], [3,1,4]], numpy.float)
 
         quantity.interpolate_from_vertices_to_edges()
 
-        assert allclose(quantity.edge_values, [[1., 1.5, 0.5],
-                                               [3., 2.5, 1.5],
-                                               [3.5, 4.5, 3.],
-                                               [2.5, 3.5, 2]])
+        assert numpy.allclose(quantity.edge_values, [[1., 1.5, 0.5],
+                                                     [3., 2.5, 1.5],
+                                                     [3.5, 4.5, 3.],
+                                                     [2.5, 3.5, 2]])
 
 
@@ -1782,13 +1777,13 @@
         quantity = Quantity(self.mesh4)
 
-        quantity.edge_values = array([[1., 1.5, 0.5],
-                                [3., 2.5, 1.5],
-                                [3.5, 4.5, 3.],
-                                [2.5, 3.5, 2]],Float)
+        quantity.edge_values = numpy.array([[1., 1.5, 0.5],
+                                            [3., 2.5, 1.5],
+                                            [3.5, 4.5, 3.],
+                                            [2.5, 3.5, 2]], numpy.float)
 
         quantity.interpolate_from_edges_to_vertices()
 
-        assert allclose(quantity.vertex_values,
-                        [[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
+        assert numpy.allclose(quantity.vertex_values,
+                              [[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
 
 
@@ -1799,5 +1794,5 @@
         #Test centroids
         quantity.set_values([2.,4.,8.,2.], location = 'centroids')
-        assert allclose(quantity.centroid_values, [2, 4, 8, 2]) #Centroid
+        assert numpy.allclose(quantity.centroid_values, [2, 4, 8, 2]) #Centroid
 
 
@@ -1805,5 +1800,5 @@
         quantity.extrapolate_second_order()
 
-        assert allclose(quantity.vertex_values[1,:], [0.0, 6, 6])
+        assert numpy.allclose(quantity.vertex_values[1,:], [0.0, 6, 6])
 
 
@@ -1813,14 +1808,14 @@
         #Test centroids
         quantity.set_values([1.,2.,3.,4.], location = 'centroids')
-        assert allclose(quantity.centroid_values, [1, 2, 3, 4]) #Centroid
+        assert numpy.allclose(quantity.centroid_values, [1, 2, 3, 4]) #Centroid
 
         #Set explicit_update
-        quantity.explicit_update = array( [1.,1.,1.,1.] )
+        quantity.explicit_update = numpy.array( [1.,1.,1.,1.] )
 
         #Update with given timestep
         quantity.update(0.1)
 
-        x = array([1, 2, 3, 4]) + array( [.1,.1,.1,.1] )
-        assert allclose( quantity.centroid_values, x)
+        x = numpy.array([1, 2, 3, 4]) + numpy.array( [.1,.1,.1,.1] )
+        assert numpy.allclose( quantity.centroid_values, x)
 
     def test_update_semi_implicit(self):
@@ -1829,8 +1824,8 @@
         #Test centroids
         quantity.set_values([1.,2.,3.,4.], location = 'centroids')
-        assert allclose(quantity.centroid_values, [1, 2, 3, 4]) #Centroid
+        assert numpy.allclose(quantity.centroid_values, [1, 2, 3, 4]) #Centroid
 
         #Set semi implicit update
-        quantity.semi_implicit_update = array([1.,1.,1.,1.])
+        quantity.semi_implicit_update = numpy.array([1.,1.,1.,1.])
 
         #Update with given timestep
@@ -1838,9 +1833,9 @@
         quantity.update(timestep)
 
-        sem = array([1.,1.,1.,1.])/array([1, 2, 3, 4])
-        denom = ones(4, Float)-timestep*sem
-
-        x = array([1, 2, 3, 4])/denom
-        assert allclose( quantity.centroid_values, x)
+        sem = numpy.array([1.,1.,1.,1.])/numpy.array([1, 2, 3, 4])
+        denom = numpy.ones(4, numpy.float)-timestep*sem
+
+        x = numpy.array([1, 2, 3, 4])/denom
+        assert numpy.allclose( quantity.centroid_values, x)
 
 
@@ -1850,11 +1845,11 @@
         #Test centroids
         quantity.set_values([1.,2.,3.,4.], location = 'centroids')
-        assert allclose(quantity.centroid_values, [1, 2, 3, 4]) #Centroid
+        assert numpy.allclose(quantity.centroid_values, [1, 2, 3, 4]) #Centroid
 
         #Set explicit_update
-        quantity.explicit_update = array( [4.,3.,2.,1.] )
+        quantity.explicit_update = numpy.array( [4.,3.,2.,1.] )
 
         #Set semi implicit update
-        quantity.semi_implicit_update = array( [1.,1.,1.,1.] )
+        quantity.semi_implicit_update = numpy.array( [1.,1.,1.,1.] )
 
         #Update with given timestep
@@ -1862,12 +1857,12 @@
         quantity.update(0.1)
 
-        sem = array([1.,1.,1.,1.])/array([1, 2, 3, 4])
-        denom = ones(4, Float)-timestep*sem
-
-        x = array([1., 2., 3., 4.])
+        sem = numpy.array([1.,1.,1.,1.])/numpy.array([1, 2, 3, 4])
+        denom = numpy.ones(4, numpy.float)-timestep*sem
+
+        x = numpy.array([1., 2., 3., 4.])
         x /= denom
-        x += timestep*array( [4.0, 3.0, 2.0, 1.0] )
-
-        assert allclose( quantity.centroid_values, x)
+        x += timestep*numpy.array( [4.0, 3.0, 2.0, 1.0] )
+
+        assert numpy.allclose( quantity.centroid_values, x)
 
 
@@ -1879,5 +1874,4 @@
         from mesh_factory import rectangular
         from shallow_water import Domain, Transmissive_boundary
-        from Numeric import zeros, Float
         from anuga.utilities.numerical_tools import mean
 
@@ -1906,5 +1900,5 @@
 
         bed = domain.quantities['elevation'].vertex_values
-        stage = zeros(bed.shape, Float)
+        stage = numpy.zeros(bed.shape, numpy.float)
 
         h = 0.03
@@ -1929,36 +1923,36 @@
 
         #First four points
-        assert allclose(A[0], (Q[0,2] + Q[1,1])/2)
-        assert allclose(A[1], (Q[1,0] + Q[3,1] + Q[2,2])/3)
-        assert allclose(A[2], Q[3,0])
-        assert allclose(A[3], (Q[0,0] + Q[5,1] + Q[4,2])/3)
+        assert numpy.allclose(A[0], (Q[0,2] + Q[1,1])/2)
+        assert numpy.allclose(A[1], (Q[1,0] + Q[3,1] + Q[2,2])/3)
+        assert numpy.allclose(A[2], Q[3,0])
+        assert numpy.allclose(A[3], (Q[0,0] + Q[5,1] + Q[4,2])/3)
 
         #Center point
-        assert allclose(A[4], (Q[0,1] + Q[1,2] + Q[2,0] +\
-                               Q[5,0] + Q[6,2] + Q[7,1])/6)
+        assert numpy.allclose(A[4], (Q[0,1] + Q[1,2] + Q[2,0] +\
+                                     Q[5,0] + Q[6,2] + Q[7,1])/6)
 
 
         #Check V
-        assert allclose(V[0,:], [3,4,0])
-        assert allclose(V[1,:], [1,0,4])
-        assert allclose(V[2,:], [4,5,1])
-        assert allclose(V[3,:], [2,1,5])
-        assert allclose(V[4,:], [6,7,3])
-        assert allclose(V[5,:], [4,3,7])
-        assert allclose(V[6,:], [7,8,4])
-        assert allclose(V[7,:], [5,4,8])
+        assert numpy.allclose(V[0,:], [3,4,0])
+        assert numpy.allclose(V[1,:], [1,0,4])
+        assert numpy.allclose(V[2,:], [4,5,1])
+        assert numpy.allclose(V[3,:], [2,1,5])
+        assert numpy.allclose(V[4,:], [6,7,3])
+        assert numpy.allclose(V[5,:], [4,3,7])
+        assert numpy.allclose(V[6,:], [7,8,4])
+        assert numpy.allclose(V[7,:], [5,4,8])
 
         #Get smoothed stage with XY
         X, Y, A1, V1 = stage.get_vertex_values(xy=True, smooth=True)
 
-        assert allclose(A, A1)
-        assert allclose(V, V1)
+        assert numpy.allclose(A, A1)
+        assert numpy.allclose(V, V1)
 
         #Check XY
-        assert allclose(X[4], 0.5)
-        assert allclose(Y[4], 0.5)
-
-        assert allclose(X[7], 1.0)
-        assert allclose(Y[7], 0.5)
+        assert numpy.allclose(X[4], 0.5)
+        assert numpy.allclose(Y[4], 0.5)
+
+        assert numpy.allclose(X[7], 1.0)
+        assert numpy.allclose(Y[7], 0.5)
 
 
@@ -1969,5 +1963,4 @@
         from mesh_factory import rectangular
         from shallow_water import Domain, Transmissive_boundary
-        from Numeric import zeros, Float
         from anuga.utilities.numerical_tools import mean
 
@@ -1991,5 +1984,5 @@
 
         bed = domain.quantities['elevation'].vertex_values
-        stage = zeros(bed.shape, Float)
+        stage = numpy.zeros(bed.shape, numpy.float)
 
         h = 0.03
@@ -2005,8 +1998,8 @@
         stage = domain.quantities['stage']
         A, V = stage.get_vertex_values(xy=False, smooth=False)
-        Q = stage.vertex_values.flat
+        Q = stage.vertex_values.ravel()
 
         for k in range(8):
-            assert allclose(A[k], Q[k])
+            assert numpy.allclose(A[k], Q[k])
 
 
@@ -2021,14 +2014,14 @@
 
 
-        assert allclose(A, A1)
-        assert allclose(V, V1)
+        assert numpy.allclose(A, A1)
+        assert numpy.allclose(V, V1)
 
         #Check XY
-        assert allclose(X[1], 0.5)
-        assert allclose(Y[1], 0.5)
-        assert allclose(X[4], 0.0)
-        assert allclose(Y[4], 0.0)
-        assert allclose(X[12], 1.0)
-        assert allclose(Y[12], 0.0)
+        assert numpy.allclose(X[1], 0.5)
+        assert numpy.allclose(Y[1], 0.5)
+        assert numpy.allclose(X[4], 0.0)
+        assert numpy.allclose(Y[4], 0.0)
+        assert numpy.allclose(X[12], 1.0)
+        assert numpy.allclose(Y[12], 0.0)
 
 
@@ -2038,5 +2031,4 @@
         from mesh_factory import rectangular
         from shallow_water import Domain
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -2054,11 +2046,11 @@
         #print "quantity.centroid_values",quantity.centroid_values
 
-        assert allclose(quantity.centroid_values, [1,7])
+        assert numpy.allclose(quantity.centroid_values, [1,7])
 
         quantity.set_array_values([15,20,25], indices = indices)
-        assert allclose(quantity.centroid_values, [1,20])
+        assert numpy.allclose(quantity.centroid_values, [1,20])
 
         quantity.set_array_values([15,20,25], indices = indices)
-        assert allclose(quantity.centroid_values, [1,20])
+        assert numpy.allclose(quantity.centroid_values, [1,20])
 
     def test_setting_some_vertex_values(self):
@@ -2068,5 +2060,4 @@
         from mesh_factory import rectangular
         from shallow_water import Domain
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -2087,5 +2078,5 @@
                             indices = indices)
         #print "quantity.centroid_values",quantity.centroid_values
-        assert allclose(quantity.centroid_values, [1,7,3,4,5,6])
+        assert numpy.allclose(quantity.centroid_values, [1,7,3,4,5,6])
         
         value = [7]
@@ -2095,10 +2086,10 @@
                             indices = indices)
         #print "quantity.centroid_values",quantity.centroid_values
-        assert allclose(quantity.centroid_values, [1,7,3,4,5,6])
+        assert numpy.allclose(quantity.centroid_values, [1,7,3,4,5,6])
 
         value = [[15,20,25]]
         quantity.set_values(value, indices = indices)
         #print "1 quantity.vertex_values",quantity.vertex_values
-        assert allclose(quantity.vertex_values[1], value[0])
+        assert numpy.allclose(quantity.vertex_values[1], value[0])
 
 
@@ -2107,9 +2098,9 @@
         quantity.set_values(values, indices = [0,1,5], location = 'centroids')
         #print "2 quantity.vertex_values",quantity.vertex_values
-        assert allclose(quantity.vertex_values[0], [10,10,10])
-        assert allclose(quantity.vertex_values[5], [50,50,50])
+        assert numpy.allclose(quantity.vertex_values[0], [10,10,10])
+        assert numpy.allclose(quantity.vertex_values[5], [50,50,50])
         #quantity.interpolate()
         #print "quantity.centroid_values",quantity.centroid_values
-        assert allclose(quantity.centroid_values, [10,100,3,4,5,50])
+        assert numpy.allclose(quantity.centroid_values, [10,100,3,4,5,50])
 
 
@@ -2121,7 +2112,7 @@
         quantity.set_values(values, indices = [0,1,5])
         #print "quantity.vertex_values",quantity.vertex_values
-        assert allclose(quantity.vertex_values[0], [1,50,10])
-        assert allclose(quantity.vertex_values[5], [6,6,6])
-        assert allclose(quantity.vertex_values[1], [100,10,50])
+        assert numpy.allclose(quantity.vertex_values[0], [1,50,10])
+        assert numpy.allclose(quantity.vertex_values[5], [6,6,6])
+        assert numpy.allclose(quantity.vertex_values[1], [100,10,50])
 
         quantity = Quantity(domain,[[1,1,1],[2,2,2],[3,3,3],
@@ -2130,5 +2121,5 @@
         quantity.set_values(values, indices = [3,3,5])
         quantity.interpolate()
-        assert allclose(quantity.centroid_values, [1,2,3,400,5,999])
+        assert numpy.allclose(quantity.centroid_values, [1,2,3,400,5,999])
 
         values = [[1,1,1],[2,2,2],[3,3,3],
@@ -2142,10 +2133,10 @@
         quantity.set_values(values)
         #print "1 quantity.vertex_values",quantity.vertex_values
-        assert allclose(quantity.vertex_values,[[ 4.,  5.,  0.],
-                                                [ 1.,  0.,  5.],
-                                                [ 5.,  6.,  1.],
-                                                [ 2.,  1.,  6.],
-                                                [ 6.,  7.,  2.],
-                                                [ 3.,  2.,  7.]])
+        assert numpy.allclose(quantity.vertex_values,[[ 4.,  5.,  0.],
+                                                      [ 1.,  0.,  5.],
+                                                      [ 5.,  6.,  1.],
+                                                      [ 2.,  1.,  6.],
+                                                      [ 6.,  7.,  2.],
+                                                      [ 3.,  2.,  7.]])
 
     def test_setting_unique_vertex_values(self):
@@ -2155,5 +2146,4 @@
         from mesh_factory import rectangular
         from shallow_water import Domain
-        from Numeric import zeros, Float
 
         #Create basic mesh
